<?php
/**
 * Trellon, LLC
 */
 
tabs_load();

$tabs['images'] = array(
  '#type' => 'tabset',
  '#attributes' => array('class' => 'image-tabs')
);

$photo_content = '';
if (is_array($node->field_region_picture)) {
  $photo_content = $node->field_region_picture[0]['view'];
}
if (strlen($photo_content)) {
  $tabs['images']['photo'] = array(
    '#type' => 'tabpage',
    '#title' => t('Photo'),
    '#content' => $photo_content,
  );
}

/*
$map_content = '';
if (is_array($node->field_region_overview_map)) {
  $map_content = $node->field_region_overview_map[0]['view'];
}
if (strlen($map_content)) {
  $tabs['images']['map'] = array(
    '#type' => 'tabpage',
    '#title' => t('Map'),
    '#content' => $map_content,
  );
}
*/

// print_r($node);

$tabs = tabs_render($tabs);
?>
<?php if ($page): ?>
<?php else: ?>
  <h2 class="title">
    <a href="<?php print $node_url ?>"><?php print $title; ?></a>
  </h2>
<?php endif; ?>
<div class="region-wrapper">
  <div class="region-panes-wrapper">
  <div class="region-images">
  <?php print $tabs; ?>
  </div>
  <div class="region-body">
  <?php
    //$old_node = node_load(array('nid' => $node->nid));
    //print check_markup($old_node->body, $old_node->filter);

      // build table
      $rows = array();
     			
      // aka first line
      $rows[] = array('data' => array(
        array('data' => t('Description'), 'class' => 'label'), $node->content['field_region_teaser']['#value']
      ), 'class' => 'hike-odd');

      //aka second line
      $rows[] = array('data' => array(
        array('data' => t('Facts/Resources'), 'class' => 'label'),  $node->content['field_region_facts']['#value']
      ), 'class' => 'hike-even');

      // aka third line
      $rows[] = array('data' => array(
        array('data' => t('Buy a Map'), 'class' => 'label'), $node->content['field_region_tcmap']['#value']
      ),'class' => 'hike-odd');
     // aka fourth line
      $rows[] = array('data' => array(
        array('data' => t('Buy a Book'), 'class' => 'label'), $node->content['field_region_tcbook']['#value']
      ),'class' => 'hike-even');
			
      print theme('table', array(), $rows, array('class' => 'hike-content'));
    
  ?>
  </div>
  <div class="stop"></div>
  </div>
  <div class="stop"></div>
</div>

  <div class="region-description">
  <?php
    $old_node = node_load(array('nid' => $node->nid));
    print check_markup($old_node->body, $old_node->filter);
  ?>
  </div>
<?php if (count($taxonomy)): ?>
  <div class="taxonomy"><?php print t(' in ') . $terms ?></div>
<?php endif; ?>

<?php if ($links): ?>
  <div class="links"><?php print $links; ?></div>
<?php endif; ?>