<?php if ($page == 0): ?>

  <h2 class="title product">

    <a href="<?php print $node_url ?>"><?php print $title; ?></a>

  </h2>

<?php else: ?>

  <h2 class="title product"><?php print $title; ?></h2>

<?php endif; ?>



<div class="product-content">

  <div class="product-images">&nbsp;

    <?php
    if (is_array($field_image_cache)) {

      $image = array_pop($field_image_cache);

      print theme('imagecache', 'product_image_big', $image['filepath'], $image['alt'], $image['title']);



      foreach ($field_image_cache as $image) {

        print theme('imagecache', 'product_image_small', $image['filepath'], $image['alt'], $image['title']);

      }
    }

    ?>

  </div>

  <div class="product-description">

  <?php $product_node = node_load(array('nid' => $nid)); ?>

    <p>
      <?php if(0): ?>

        <?php print uc_currency_format($node->list_price); ?> retail;

        <?php print uc_currency_format($node->sell_price); ?> Member.<br />
      <?php else: ?>
        <?php print $node->content['sell_price']['#value']; ?>
      <?php endif; ?>

      <?php if (isset($node->flatrate[1])): ?>

        (postage/handling <?php print uc_currency_format($node->flatrate[1]); ?>)

      <?php endif; ?>

    </p>

    <?php print check_markup($product_node->body, $product_node->format); ?>

    <?php print $node->content['add_to_cart']['#value']; ?>

  </div>

  <div class="stop"></div>

</div>



<?php if (count($taxonomy)): ?>

  <div class="taxonomy"><?php print t(' in ') . $terms ?></div>

<?php endif; ?>



<?php if ($links): ?>

  <div class="links"><?php print $links; ?></div>

<?php endif; ?>